Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.oracle
Class JGeometryAdapter

    java.lang.Object
      org.deegree.io.datastore.sql.oracle.JGeometryAdapter

    public class JGeometryAdapter

extends Object

Adapter between deegree `Geometry` objects and Oracle `JGeometry` objects.

Version:
  $Revision: 21832 $, $Date: 2010-01-08 16:41:39 +0100 (Fr, 08. Jan 2010) $
Author:
  Markus Schneider , Andreas Poth , last edited by: $Author: mschneider $

Method Summary
`static oracle.spatial.geometry.JGeometry` | `export(Geometry geometry, int srid)` Converts a deegree `Geometry` instance to a corresponding Oracle `JGeometry` object.
`static Geometry` | `wrap(oracle.spatial.geometry.JGeometry jGeometry, CoordinateSystem crs)` Converts an Oracle `JGeometry` instance to a corresponding deegree `Geometry` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### export

    public static oracle.spatial.geometry.JGeometry export(Geometry geometry,
                                                           int srid)
                                                    throws GeometryException

  Converts a deegree `Geometry` instance to a corresponding Oracle `JGeometry` object.

  Parameters:
    `geometry` - deegree `Geometry` to be converted
    `srid` - coordinate system for created Oracle `JGeometry` objects
  Returns:
    corresponding Oracle `JGeometry`
  Throws:
    `GeometryException`

### wrap

    public static Geometry wrap(oracle.spatial.geometry.JGeometry jGeometry,
                                CoordinateSystem crs)
                         throws GeometryException

  Converts an Oracle `JGeometry` instance to a corresponding deegree `Geometry` object.

  Parameters:
    `jGeometry` - Oracle `JGeometry` to be converted
    `crs` - coordinate system of the created deegree `Geometry` object
  Returns:
    corresponding deegree `Geometry`
  Throws:
    `GeometryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org